/* Copyright (c) 2015 Douglas Henke <dhenke@mythopoeic.org>
   This is free software -- see COPYING for details.           */
#ifndef DS1307_RTC_H
#define DS1307_RTC_H

#include <stdint.h>

/* Since the uWireM library doesn't implement scatter/gather, we need
   to have the I2C address and register position information in the
   same buffer as the transfer data for the ds1307_ram_*() functions.

   Since malloc() has a significant code-space penalty, rather allocating
   a larger buffer and copying data, we require that the structure for
   transfer start with two extra bytes: */
#define DS1307_RAM_XFER_FLDS uint8_t ds1307_addr, ds1307_pos

void ds1307_set_time(const uint8_t h, const uint8_t m, const uint8_t s);
void ds1307_get_hm(int8_t * const h, int8_t * const m);
void ds1307_ram_store(void * const p, const int8_t len);
void ds1307_ram_fetch(void * const p, const int8_t len);

#endif /* ifndef DS1307_RTC_H */
