#ifndef SETTINGS_H
#define SETTINGS_H

#include <stdint.h>
#include <ds1307_rtc/ds1307_rtc.h>

typedef struct {
   DS1307_RAM_XFER_FLDS; /* callers: treat these as opaque */
   uint8_t signature; /* don't mess with this either */
   uint8_t dim : 4; /* display brightness 0-15 */
   uint8_t alarm_enable : 1;
   uint8_t alarmh, alarmm; /* alarm time */
} settings_t;

void settings_store(settings_t * const p);
void settings_get(settings_t * const p);

#endif /* ifndef SETTINGS_H */
